Package org.apache.commons.imaging.color

# Class ColorCieLch

java.lang.Object
org.apache.commons.imaging.color.ColorCieLch

public final class ColorCieLch extends Object
Represents a color in the CIELCH color space.

Contains the constant values for black, white, red, green, and blue.

Since:
  1.0-alpha1
See Also:
  - https://en.wikipedia.org/wiki/CIELUV#Cylindrical_representation_(CIELCH)

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ColorCieLch`
  `BLACK`
  A constant for color black.
  `static final ColorCieLch`
  `BLUE`
  A constant for color blue.
  `final double`
  `c`
  C* chroma.
  `static final ColorCieLch`
  `GREEN`
  A constant for color green.
  `final double`
  `h`
  Hue.
  `final double`
  `l`
  L* lightness.
  `static final ColorCieLch`
  `RED`
  A constant for color red.
  `static final ColorCieLch`
  `WHITE`
  A constant for color white.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorCieLch(double l, double c, double h)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### BLACK

    public static final ColorCieLch BLACK
    A constant for color black. Color components are:

             L*: 0
             C*: 0
             h: 0

  - ### WHITE

    public static final ColorCieLch WHITE
    A constant for color white. Color components are:

             L*: 100
             C*:   0
             h: 297

  - ### RED

    public static final ColorCieLch RED
    A constant for color red. Color components are:

             L*: 53
             C*: 80
             h: 67

  - ### GREEN

    public static final ColorCieLch GREEN
    A constant for color green. Color components are:

             L*:  88
             C*: -86
             h:  83

  - ### BLUE

    public static final ColorCieLch BLUE
    A constant for color blue. Color components are:

             L*:   32
             C*:   79
             h: -108

  - ### l

    public final double l
    L* lightness.

  - ### c

    public final double c
    C* chroma.

  - ### h

    public final double h
    Hue.

- ## Constructor Details

  - ### ColorCieLch

    public ColorCieLch(double l, double c, double h)
    Constructs a new instance.
    Parameters:
      `l` - L* lightness.
      `c` - chroma.
      `h` - hue.

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`